Foxit PDF RDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
CompareResultInfo Class Reference
Inheritance diagram for CompareResultInfo:

## Public Member Functions
| constructor () type
| Constructor. More...
| constructor (type, rect_array, diff_contents)
| Constructor, with parameters. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| diff_contents
| Different contents as compared result.
| rect_array
| Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.

## Static Public Attributes
static | e_CompareResultTypeDeleteAnnot
| Result type: delete annotation.
static | e_CompareResultTypeDeleteImage
| Result type: delete image.
static | e_CompareResultTypeDeletePath
| Result type: delete path.
static | e_CompareResultTypeDeleteShading
| Result type: delete shading.
static | e_CompareResultTypeDeleteText
| Result type: delete text.
static | e_CompareResultTypeInsertAnnot
| Result type: insert annotation.
static | e_CompareResultTypeInsertImage
| Result type: insert image.
static | e_CompareResultTypeInsertPath
| Result type: insert path.
static | e_CompareResultTypeInsertShading
| Result type: insert shading.
static | e_CompareResultTypeInsertText
| Result type: insert text.
static | e_CompareResultTypeNone
| Enumeration for compare result type. More...
static | e_CompareResultTypeReplaceAnnot
| Result type: replace annotation.
static | e_CompareResultTypeReplaceImage
| Result type: replace image.
static | e_CompareResultTypeReplacePath
| Result type: replace path.
static | e_CompareResultTypeReplaceShading
| Result type: replace shading.
static | e_CompareResultTypeReplaceText
| Result type: replace text.
static | e_CompareResultTypeTextAttriChange
| (Reserved, not supported yet) Result type: text attribute change.

## Detailed Description

This class represents the compare result information.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor() [1/2]

CompareResultInfo.constructor | ( |  | ) |

Constructor.

Result type. Please refer to values starting from CompareResultInfo.e_CompareResultTypeNone and this should be one of these values.

## ◆ constructor() [2/2]

CompareResultInfo.constructor | ( | type | ,
|  | rect_array | ,
|  | diff_contents |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | type | Result type. Please refer to values starting from CompareResultInfo.e_CompareResultTypeNone and this should be one of these values.
  [in] | rect_array | Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.
  [in] | diff_contents | Different contents as compared result.

## Member Data Documentation

## ◆ e_CompareResultTypeNone

CompareResultInfo.e_CompareResultTypeNone
| static

Enumeration for compare result type.

Values of this enumeration can be used alone.

Result type: unsupported or invalid.